# Copyright 2024- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)


from odoo import models


class EventType(models.Model):
    _inherit = "event.type"

    def _default_event_mail_type_ids(self):
        res = [
            (
                0,
                0,
                {
                    "notification_type": "mail",
                    "interval_nbr": 0,
                    "interval_unit": "now",
                    "interval_type": "after_sub",
                    "template_ref": "mail.template, %i"
                    % self.env.ref("solagro_event.solagro_event_subscription").id,
                },
            ),
            (
                0,
                0,
                {
                    "notification_type": "mail",
                    "interval_nbr": 1,
                    "interval_unit": "hours",
                    "interval_type": "before_event",
                    "template_ref": "mail.template, %i"
                    % self.env.ref("solagro_event.solagro_event_reminder").id,
                },
            ),
            (
                0,
                0,
                {
                    "notification_type": "mail",
                    "interval_nbr": 3,
                    "interval_unit": "days",
                    "interval_type": "before_event",
                    "template_ref": "mail.template, %i"
                    % self.env.ref("solagro_event.solagro_event_reminder").id,
                },
            ),
        ]
        return res
